import styled from "styled-components";
import { cv } from "../../style";
import React from "react";
import { Button } from "../button";
const BoxOuter = styled.div`
    border: solid 1px ${cv.border3};
    border-radius: 4px;
`;
const BoxDiv = styled.div`
    padding: 22px 24px;

    font-size: .875rem;
    font-weight: 400;
    line-height: 1.6;

    display: flex;
    flex-direction: column;
    gap: 8px;
`;
const BoxTitle = styled.h4`
    font-size: 1.25rem;
    line-height: 1.5;
    font-weight: 600px;
    letter-spacing: -.020625rem;
`;
const BoxHeaderDiv = styled.div`
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 8px 24px;
    background-color: ${cv.bg_element2};
    border-bottom: solid 1px ${cv.border3};
    font-size: .875rem;
`;
const BoxFooterDiv = styled.div`
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 16px 24px;
    background-color: ${cv.bg_element2};
    border-top: solid 1px ${cv.border3};
    font-size: .875rem;
`;

function BoxFooter(props) {
  return /*#__PURE__*/React.createElement(BoxFooterDiv, null, /*#__PURE__*/React.createElement("div", null, props.text), /*#__PURE__*/React.createElement(Button, props.button));
}

export function Box(props) {
  if (props.footer && props.footerTemplate) {
    console.error('You can ese either "footer" or "footerNode"');
  }

  return /*#__PURE__*/React.createElement(BoxOuter, null, /*#__PURE__*/React.createElement(React.Fragment, null, props.header && /*#__PURE__*/React.createElement(BoxHeaderDiv, null, props.header), /*#__PURE__*/React.createElement(BoxDiv, null, props.title && /*#__PURE__*/React.createElement(BoxTitle, null, props.title), props.children), props.footerTemplate && /*#__PURE__*/React.createElement(BoxFooter, props.footerTemplate), props.footer && /*#__PURE__*/React.createElement(BoxFooterDiv, null, props.footer)));
}