function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import styled from "styled-components";
import { IconContext } from 'phosphor-react';
import { cv } from "../../style";
import React from "react";
import { Label } from "./label";
const Divver = styled.div`
    width: 100%;
`;
const Input = styled.input`
    z-index: 1;
    padding: 0px 12px;
    height: 32px;
    display: flex;
    align-items: center;
    transition: 200ms;
    flex: 1;
    border: 0;
    font-size: 14px;
    border-radius: 2px;

    outline: solid 3px rgba(0,0,0,0);
    &:focus {
        border: 0;
        outline: solid 3px ${cv.outline};
    }
`;
const Message = styled.div`
    height: 20px;
    color: ${cv.red1};
    font-size: 14px;
    margin-top: 4px;
`;
const Inputs = styled.div`
    display: flex;
    align-items: center;
    border-radius: 4px;
    height: 36px;
    border: solid 1px ${cv.border3};
`;
const AddonTextDiv = styled.div`
    padding: 0px 8px;
    display: flex;
    align-items: center;
    height: 100%;
    font-size: 14px;
    background-color: ${cv.bg_element3};

    ${props => props.position === 'left' ? `border-right: solid 1px ${cv.border3};` : `border-left: solid 1px ${cv.border3};`};
    ${props => props.position === 'left' ? `border-bottom-left-radius: 4px; border-top-left-radius: 4px;` : 'border-bottom-right-radius: 4px; border-top-right-radius: 4px;'};
`;
const AddonButtonDiv = styled.div`
    padding: 0px 8px;
    display: flex;
    align-items: center;
    height: 100%;
    font-size: 14px;
    background-color: ${cv.bg_element5};
    color: #ffffff;
    cursor: pointer;

    ${props => props.position === 'left' ? `border-right: solid 1px ${cv.border3};` : `border-left: solid 1px ${cv.border3};`};
    ${props => props.position === 'left' ? `border-bottom-left-radius: 4px; border-top-left-radius: 4px;` : 'border-bottom-right-radius: 4px; border-top-right-radius: 4px;'};
`;

function Addon(props) {
  if (typeof props.data === 'string') {
    return /*#__PURE__*/React.createElement(AddonTextDiv, {
      position: props.position
    }, props.data);
  } else if (props.data.type === 'button') {
    return /*#__PURE__*/React.createElement(AddonButtonDiv, {
      position: props.position,
      onClick: () => props.data.onClick()
    }, props.data.icon, props.data.label);
  } else {
    return /*#__PURE__*/React.createElement(React.Fragment, null);
  }
}

export const TextField = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(IconContext.Provider, {
    value: {
      weight: 'bold',
      size: 14,
      color: cv.text5
    }
  }, /*#__PURE__*/React.createElement(Divver, null, props.label && /*#__PURE__*/React.createElement(Label, {
    required: props.required || false
  }, props.label), /*#__PURE__*/React.createElement(Inputs, null, props.leftAddon && /*#__PURE__*/React.createElement(Addon, {
    position: "left",
    data: props.leftAddon
  }), /*#__PURE__*/React.createElement(Input, _extends({
    ref: ref
  }, props, {
    type: props.type || 'text'
  })), props.rightAddon && /*#__PURE__*/React.createElement(Addon, {
    position: "right",
    data: props.rightAddon
  })), props.error && /*#__PURE__*/React.createElement(Message, null, props.error)));
});