import React, { ComponentProps } from "react";
interface Avatar {
    type: 'avatar';
    flex?: number;
    icon: React.ReactNode;
    name: React.ReactNode;
    label: React.ReactNode;
}
interface Status {
    type: 'status';
    flex?: number;
    status: 'stateless' | 'error' | 'warning' | 'done' | 'good';
    label?: React.ReactNode;
}
interface Text {
    type?: 'text';
    flex?: number;
    text?: string;
    subText?: string;
}
interface Component {
    type: 'component';
    flex?: number;
    component: React.ReactNode;
}
interface Buttons {
    type: 'buttons';
    flex?: number;
    button: {
        label: string;
        onClick: Function;
        icon: React.ReactElement;
        color?: 'normal' | 'red';
    }[][];
}
declare type Item = (Avatar | Status | Text | Buttons | Component)[];
interface Props {
    data: Item[];
}
export declare function ItemsTable(props: Props): JSX.Element;
export declare type ItemsTableProps = ComponentProps<typeof ItemsTable>;
export {};
