import React, { useState, createContext, useCallback, useRef } from "react";
import { TopLoadingBar } from "../../components/topLoadingBar";

const sleep = ms => {
  return new Promise(r => setTimeout(r, ms));
};

export const TopLoadingContext = /*#__PURE__*/createContext({
  progress: 0,
  setProgress: () => null,
  start: () => null,
  end: () => null
});

const TopLoadingContextProvider = ({
  children
}) => {
  const [progress, setProgress_] = useState(0);
  const [isShow, setShow] = useState(false);
  const timer = useRef();
  const setProgress = useCallback(newProgress => {
    setProgress_(10 + newProgress / 10 * 9);
  }, []);
  const start = useCallback(() => {
    setProgress_(10);
    setShow(true);
  }, []);
  const end = useCallback(() => {
    setProgress_(100);
    clearTimeout(timer.current);
    timer.current = setTimeout(async () => {
      setShow(false);
      await sleep(200);
      setProgress_(0);
    }, 350);
  }, []);
  return /*#__PURE__*/React.createElement(TopLoadingContext.Provider, {
    value: {
      progress,
      setProgress,
      start,
      end
    }
  }, /*#__PURE__*/React.createElement(TopLoadingBar, {
    width: progress,
    isShow: isShow
  }), children);
};

export default TopLoadingContextProvider;