import React, { useContext } from "react";
import styled from "styled-components";
import { Button } from "../../components";
import { ModalContext } from "../../context/modal/modalContext";
import { cv } from "../../style";
const Padding = styled.div`
    padding: 16px;
    padding-bottom: 0px;
    font-size: .875rem;
`;
const Title = styled.div`
    font-weight: 700;
    font-size: 20px;
    margin-bottom: 8px;
`;
const Buttons = styled.div`
    background-color: ${cv.bg_element2};
    margin-top: 16px;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 8px;
    border-top: solid 1px ${cv.border3};
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
    font-size: .875rem;
    padding: 6px 8px;
`;

function DialogScreen(props) {
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Padding, null, props.title && /*#__PURE__*/React.createElement(Title, null, props.title), props.content), /*#__PURE__*/React.createElement(Buttons, null, props.buttons.map(e => /*#__PURE__*/React.createElement(Button, e))));
}

export function useDialog() {
  const modal = useContext(ModalContext);
  return (title, buttons, content, notAutoClose) => {
    const MappedButtons = buttons.map(e => ({ ...e,
      onClick: () => {
        e.onClick();
        (!notAutoClose || e.closeModal) && modal.close();
      }
    }));
    modal.open( /*#__PURE__*/React.createElement(DialogScreen, {
      close: modal.close,
      content: content,
      buttons: MappedButtons,
      title: title
    }), undefined, undefined, false);
  };
}